%define gstreamername gstreamer1
%global __python %{__python3}

Name: gstlal-calibration
Version: 1.5.4
Release: 1%{?dist}
Summary: GSTLAL Calibration
License: GPL
Group: LSC Software/Data Analysis

Requires: gstlal >= 1.10.0
Requires: gstlal-ugly >= 1.10.0
Requires: python3 >= 3.6
Requires: %{gstreamername} >= 1.14.1
Requires: %{gstreamername}-plugins-base >= 1.14.1
Requires: %{gstreamername}-plugins-good >= 1.14.1
Requires: lal >= 7.2.4
Requires: lalmetaio >= 3.0.2
Requires: python%{python3_pkgversion}-%{gstreamername}
Requires: python%{python3_pkgversion}-ligo-segments >= 1.2.0

%if 0%{?rhel} == 8
Requires: python%{python3_pkgversion}-numpy >= 1.7.0
Requires: python3-matplotlib
Requires: python%{python3_pkgversion}-scipy
%else
Requires: numpy >= 1.7.0
Requires: python%{python3_pkgversion}-matplotlib
Requires: scipy
%endif

BuildRequires: pkgconfig >= 0.18.0
BuildRequires: gstlal-devel >= 1.10.0
BuildRequires: python3-devel >= 3.6
BuildRequires: fftw-devel >= 3
BuildRequires: %{gstreamername}-devel >= 1.14.1
BuildRequires: %{gstreamername}-plugins-base-devel >= 1.14.1
BuildRequires: lal-devel >= 7.2.4
BuildRequires: lalmetaio-devel >= 3.0.2

Conflicts: gstlal-ugly < 0.6.0
Source: https://software.igwn.org/lscsoft/source/gstlal-calibration-%{version}.tar.gz
URL: https://git.ligo.org/lscsoft/gstlal
Packager: Madeline Wade <madeline.wade@gravity.phys.uwm.edu>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%description
This package contains the plugins and shared libraries required to run the gstlal calibration software.


%package devel
Summary: Files and documentation needed for compiling gstlal-calibration based plugins and programs.
Group: LSC Software/Data Analysis
Requires: gstlal-devel >= 1.10.0
Requires: python3-devel >= 3.6
Requires: %{gstreamername}-devel >= 1.14.1
Requires: %{gstreamername}-plugins-base-devel >= 1.14.1
Requires: lal-devel >= 7.2.4
Requires: lalmetaio-devel >= 3.0.2
Requires: gsl-devel
%description devel
This package contains the files needed for building gstlal-calibration based
plugins and programs.


%prep
%setup -q -n %{name}-%{version}


%build
%configure PYTHON=python3
%{__make}


%install
# FIXME:  why doesn't % makeinstall macro work?
DESTDIR=${RPM_BUILD_ROOT} %{__make} install
# remove .so symlinks from libdir.  these are not included in the .rpm,
# they will be installed by ldconfig in the post-install script, except for
# the .so symlink which isn't created by ldconfig and gets shipped in the
# devel package
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT}/%{_libdir} -name "*.so.*" -type l -delete
# don't distribute *.la files
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT} -name "*.la" -type f -delete


%post
if test -d /usr/lib64 ; then
	ldconfig /usr/lib64
else
	ldconfig
fi


%postun
if test -d /usr/lib64 ; then
	ldconfig /usr/lib64
else
	ldconfig
fi


%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/gstlalcalibration/*
%{_libdir}/gstreamer-*/lib*.a
%{_libdir}/gstreamer-*/lib*.so
%{_prefix}/%{_lib}/python*/site-packages/gstlalcalibration
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/gstreamer-*/lib*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*
